<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/mocha/3.2.0/mocha.css">
    <title>Caesars Cipher</title>
  </head>
  <body>
    <div class="container" id="root"> 
        <h3>Caesars Cipher</h3>
        <div class="input-group w-25 my-4">
          <select class="form-select" id="rot">
            <option selected value="3">ROT with 3</option>
            <option value="5">ROT with 5</option>
            <option value="8">ROT with 8</option>
          </select>
        </div>
        <div class="input-group w-50 mt-4">
          <span class="input-group-text">Text</span>
          <textarea class="form-control" rows="10" id="text"></textarea>
        </div>
        <button class="btn btn-primary my-5" id="btn">Cipher</button>
    </div>


    <div id="mocha"></div>

  </body>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
  <script src="script.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/mocha/3.2.0/mocha.js"></script>
  <script>
    mocha.setup('bdd'); // minimal setup
  </script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/chai/3.5.0/chai.js"></script>
  <script>
    let assert = chai.assert;
  </script>

  <script src="test.js"></script>

  <script>
    mocha.run();
  </script>
  </html>